﻿using SyncfusionMvcApplication7.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SyncfusionMvcApplication7.Controllers
{
	public class HomeController : Controller
	{
		public ActionResult Index()
		{
			return View(GetModel());
		}

		[HttpPost]
		public ActionResult Page()
		{
			return PartialView("_homeContent", GetModel());
		}

        string[] FirstNames = new string[] { "Alice", "Bob", "Carol", "Dianne", "Evan", "Frank", "George", "Harry", "Inez", "Jeremy", "Karen", "Linda", "Mary", "Norman", "Oscar", "Peter", "Quasimodo", "Ralph", "Susan", "Ted", "Ungo", "Virgil", "Xerxes", "Yabba", "Zoltan" };
		string[] LastNames = new string[] { "Cooper", "Cartwright", "Smith", "Baker", "Chandler" };

		Random r = new Random();

		private string RandFrom(string[] list)
		{
			var index = r.Next(list.Length);
			return list[index];	
		}

		public IEnumerable<ModelT> GetModel()
		{
			var model = new List<ModelT>();

			for (int i = 0; i < 50; i++)
			{
				var m = new ModelT()
				{
					ModelTID = i,
					Name = RandFrom(FirstNames) + " " + RandFrom(LastNames),
					Age = r.Next(100)
				};
				model.Add(m);
			}

			return model;
		}

		public ActionResult About()
		{
			ViewBag.Message = "Your application description page.";

			return View();
		}

		public ActionResult Contact()
		{
			ViewBag.Message = "Your contact page.";

			return View();
		}
	}
}